<?php

namespace App\Http\Controllers\User\Api;

use Auth;
use Illuminate\Http\Request;

use App\Http\Modules\User\ContractObligationContractDependencyModule;

use App\Http\Controllers\User\BaseController;

class ContractObligationContractDependencyController extends BaseController
{
    public function __construct()
    {
        parent::__construct();
    }

    public function list(Request $request)
    {
    	$contract_obligation_contract_dependency = ContractObligationContractDependencyModule::list($request);
    	return $contract_obligation_contract_dependency;
    }

    public function show(Request $request, $hash_id)
    {
        $contract_obligation_contract_dependency = ContractObligationContractDependencyModule::show($request, $hash_id);
        return $contract_obligation_contract_dependency;
    }

    public function store(Request $request)
    {
        $contract_obligation_contract_dependency = ContractObligationContractDependencyModule::store($request);
        return $contract_obligation_contract_dependency;
    }

    public function update(Request $request, $hash_id)
    {
        $contract_obligation_contract_dependency = ContractObligationContractDependencyModule::update($request, $hash_id);
        return $contract_obligation_contract_dependency;
    }

    public function delete(Request $request, $hash_id)
    {
        $contract_obligation_contract_dependency = ContractObligationContractDependencyModule::delete($request, $hash_id);
        return $contract_obligation_contract_dependency;
    }
}
